[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Upgrading revision using ansible v3_10/upgrade.yml playbook did not upgrade



Anyone?


‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Tuesday, December 18, 2018 11:19 AM, mabi <mabi protonmail ch> wrote:

> Hello,
>
> My v3.10 OpenShift OKD cluster is currently running version v3.10.0+7af7b71-75 and I wanted to upgrade to the latest v3.10 version which based on the git log of the openshift-ansible repo should be -89.
>
> For that purpose I have ran the following playbook from the release-3.10 branch on my master node:
>
> ansible-playbook ~/openshift-ansible/playbooks/byo/openshift-cluster/upgrades/v3_10/upgrade.yml
>
> ================================================================================================
>
> I made sure to do a "git pull" before to have the latest commits of openshift-ansible.
>
> The upgrade run fine and the result changes of ansible was the following:
>
> PLAY RECAP *******************************************************************************************************************************************************************************************************************************************************************************
> inst1.mydomain.tld : ok=820 changed=179 unreachable=0 failed=0
> inst2.mydomain.tld : ok=159 changed=30 unreachable=0 failed=0
> inst3.mydomain.tld : ok=159 changed=30 unreachable=0 failed=0
> localhost : ok=33 changed=0 unreachable=0 failed=0
>
> I then rebooted all my nodes and ran a "oc version" but to my surprise the version is exactly the same as before running the upgrade playbook as you can see below:
>
> oc v3.10.0+0c4577e-1
> kubernetes v1.10.0+b81c8f8
> features: Basic-Auth GSSAPI Kerberos SPNEGO
>
> Server https://inst1.mydomain.tld:8443
> openshift v3.10.0+7af7b71-75
> kubernetes v1.10.0+b81c8f8
>
> It looks like I am still running "-75" whereas I was expecting to see "-89"...
>
> Does anyone have any idea why the upgrade playbook did not upgrade? or should I be running some other playbook in order upgrade to the latest v3.10 version?
>
> Best regards,
> Mab




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]